Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Object.h File Reference

`#include "tao/IOP_IORC.h"`
`#include "tao/CORBA_methods.h"`
`#include "tao/Policy_ForwardC.h"`
`#include "tao/Pseudo_VarOut_T.h"`
`#include "tao/Object_Argument_T.h"`
`#include "tao/Arg_Traits_T.h"`
`#include "tao/Any_Insert_Policy_T.h"`
`#include "tao/Object.i"`

Include dependency graph for Object.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | TAO
namespace | CORBA
## Classes
class | CORBA::Object
| Implementation of a CORBA object reference. More...
class | TAO::Arg_Traits< CORBA::Object >
struct | TAO::Objref_Traits< CORBA::Object >
## Typedefs
typedef ImplementationDef * | ImplementationDef_ptr
typedef ContextList * | ContextList_ptr
## Functions
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Object *)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Object *&)
## Variables
TAO_Export TAO::Object_Proxy_Broker *(* | _TAO_Object_Proxy_Broker_Factory_function_pointer )(void)

## Detailed Description

Id
  Object.h,v 1.110 2006/02/21 17:59:46 smcqueen Exp

A "Object" is an entity that can be the target of an invocation using an ORB. All CORBA objects provide this functionality. See the CORBA 3.x specification for details.

Author:
  Portions Copyright 1994-1995 by Sun Microsystems Inc.

  Portions Copyright 1997-2002 by Washington University

## Typedef Documentation

typedef ContextList * CORBA::ContextList_ptr

typedef ImplementationDef* CORBA::ImplementationDef_ptr

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Object * |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Object *& |
| ) |

## Variable Documentation

TAO_Export TAO::Object_Proxy_Broker*(* _TAO_Object_Proxy_Broker_Factory_function_pointer)(void)

| This function pointer is set only when the Portable server library is present.